{#
/**
 * @file
 * Corporate+s's theme implementation to display a Article node.
 */
#}

{% extends "node.html.twig" %}
{% block node_side %}
  <div class="node__side">
    {% if display_submitted or mt_setting.reading_time or mt_setting.share_links or mt_setting.font_resize or mt_setting.post_progress or mt_setting.print_button or (node.comment and comment_count > 0) %}
      {% if display_submitted or (node.comment and comment_count > 0) %}
        {% if display_submitted %}
          <div class="node__user-info">
            {% if blog_author_picture_url %}
              <div class="user-picture">
                <div{{ author_attributes }}>
                  <article class="contextual-region profile" typeof="schema:Person" about="/user/{{ blog_author_id }}">
                    <div class="field field--name-user-picture field--type-image field--label-hidden field__item">
                      <a href="/blog/{{ blog_author_name|lower|replace(' ', '-') }}">
                        <img src="{{ blog_author_picture_url }}" width="40" height="40"
                             alt="{{ blog_author_picture_alt }}" typeof="foaf:Image" class="image-style-thumbnail">
                      </a>
                    </div>
                  </article>
                </div>
              </div>
            {% endif %}
            {{ metadata }}
          </div>
          <div class="node__submitted-date">
            <div class="month">{{ node.createdtime|format_date('custom', 'M') }}</div>
            <div class="day">{{ node.createdtime|format_date('custom', 'd') }}</div>
            <div class="year">{{ node.createdtime|format_date('custom', 'Y') }}</div>
          </div>
        {% endif %}
        {% if node.comment and comment_count > 0 %}
          <div class="node__comments">
            <i class="fa fa-comment"></i>
            <div class="node__comments-count">{{ comment_count }}</div>
          </div>
        {% endif %}
      {% endif %}
      {% if mt_setting.reading_time %}
        {{ attach_library('corporateplus/reading-time') }}
        <div class="reading-time">
          {% if minutes < 1 %}
            {% trans %}
              1
              <div class="reading-time__text">min read</div>
            {% endtrans %}
          {% else %}
            {% trans %}
              {{ minutes }}
              <div class="reading-time__text">min read</div>
            {% endtrans %}
          {% endif %}
        </div>
      {% endif %}
      {% if mt_setting.affix_side %}
        {{ attach_library('corporateplus/node-side-affix') }}
        <div id="affix">
      {% endif %}
      {% if mt_setting.font_resize %}
        {{ attach_library('corporateplus/font-resize') }}
        <div class="content-font-settings">
          <div class="font-resize">
            <a href="#" id="decfont">A-</a>
            <a href="#" id="incfont">A+</a>
          </div>
        </div>
      {% endif %}
      {% if mt_setting.post_progress %}
        {{ attach_library('corporateplus/post-progress') }}
        <div class="post-progress">
          <div class="post-progress__value"></div>
          <div class="post-progress__text">{% trans %}read{% endtrans %}</div>
          <div class="post-progress__bar"></div>
        </div>
      {% endif %}
      {% if mt_setting.share_links_print_position == "node-side" and (mt_setting.share_links or mt_setting.print_button) %}
        {{ attach_library('corporateplus/share-links') }}
        <div class="share-links">
          <ul>
            {% if mt_setting.share_links %}
              <li class="facebook{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="https://www.facebook.com/sharer/sharer.php?u={{ url('entity.node.canonical', {'node': node.id}) }}&t={{ node.label | url_encode(true) }}"
                   onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;">
                  <i class="fa fa-facebook"><span class="sr-only">facebook</span></i>
                </a>
              </li>
              <li class="twitter{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="http://twitter.com/share?text={{ node.label | url_encode(true) }}&url={{ url('entity.node.canonical', {'node': node.id}) }}"
                   onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;">
                  <i class="fa fa-twitter"><span class="sr-only">twitter</span></i>
                </a>
              </li>
              <li class="email{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="mailto:?Subject={{ node.label | url_encode(true) }}&amp;Body={{ url('entity.node.canonical', {'node': node.id}) }}">
                  <i class="fa fa-envelope-o"><span class="sr-only">email</span></i>
                </a>
              </li>
            {% endif %}
            {% if mt_setting.print_button %}
              <li class="print{{ (mt_setting.share_links) ? ' share-links-enabled' : '' }}">
                <div class="print">
                  <a href="javascript:window.print()" class="print-button">
                    <i class="fa fa-print"><span class="sr-only">print</span></i>
                  </a>
                </div>
              </li>
            {% endif %}
          </ul>
        </div>
      {% endif %}
      {% if mt_setting.affix_side %}
        </div>
      {% endif %}
      {% if mt_setting.share_links_print_position == "bottom" and (mt_setting.share_links or mt_setting.print_button) %}
        {{ attach_library('corporateplus/share-links') }}
        {{ attach_library('corporateplus/fixed-share-links') }}
        <div class="share-links">
          <ul>
            {% if mt_setting.share_links %}
              <li class="facebook{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="https://www.facebook.com/sharer/sharer.php?u={{ url('entity.node.canonical', {'node': node.id}) }}&t={{ node.label | url_encode(true) }}"
                   onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;">
                  <i class="fa fa-facebook"><span class="sr-only">facebook</span></i>
                </a>
              </li>
              <li class="twitter{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="http://twitter.com/share?text={{ node.label | url_encode(true) }}&url={{ url('entity.node.canonical', {'node': node.id}) }}"
                   onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;">
                  <i class="fa fa-twitter"><span class="sr-only">twitter</span></i>
                </a>
              </li>
              <li class="email{{ (mt_setting.print_button) ? ' print-button-enabled' : '' }}">
                <a href="mailto:?Subject={{ node.label | url_encode(true) }}&amp;Body={{ url('entity.node.canonical', {'node': node.id}) }}">
                  <i class="fa fa-envelope-o"><span class="sr-only">email</span></i>
                </a>
              </li>
            {% endif %}
            {% if mt_setting.print_button %}
              <li class="print{{ (mt_setting.share_links) ? ' share-links-enabled' : '' }}">
                <div class="print">
                  <a href="javascript:window.print()" class="print-button">
                    <i class="fa fa-print"><span class="sr-only">print</span></i>
                  </a>
                </div>
              </li>
            {% endif %}
          </ul>
        </div>
      {% endif %}
    {% endif %}
  </div>
{% endblock %}
{% block meta_area %}
  {{ title_prefix }}
  {% if not page %}
    <h2{{ title_attributes.addClass('node__title') }}>
      <a href="{{ url }}" rel="bookmark">{{ label }}</a>
    </h2>
  {% endif %}
  {{ title_suffix }}
  {% if display_submitted %}
    <div class="node__meta">
      <span{{ author_attributes.addClass('node__submitted-info node__submitted-auhtor-name') }}>
        {% trans %}<span class="node__submitted-info-text">By</span><span
            class="blog_author_name"> {{ blog_author_name }} </span>{% endtrans %}
      </span>
      {% if blog_author_specialization %}
        <span{{ author_attributes.addClass('node__submitted-info node__submitted-auhtor-specialization') }}>
          {% trans %} {{ blog_author_specialization }}{% endtrans %}
        </span>
      {% endif %}
    </div>
  {% endif %}
{% endblock %}
{% block content %}
  {{ attach_library('corporateplus/node-article') }}
  <div class="node__main-content-section">
    {{ content|without('comment') }}
  </div>
  {{ content.comment }}
{% endblock %}

